<?php
namespace BrandCo\Plugins\IDX;

class SingleListing {

	public static function get($mlsNum) {

		// if ( !defined('PROPERTYPRESS_IDX_API') ) {
		// 	define('PROPERTYPRESS_IDX_API', 'https://propertypress.com/wp-json/pp/v1');
		// }

		// $endpoint = PROPERTYPRESS_IDX_API . '/search-listings/';

		$endpoint = 'https://api.brandco.com/api/wp-json/pp/v1/search-listings';

		if ( Util::isLocal() ) {
			$endpoint = 'https://apidash2.dev/api/wp-json/pp/v1/search-listings';
		}

		$ch = curl_init($endpoint);

		// curl_setopt($ch, CURLOPT_HTTPHEADER, array(
		// 	'Content-Type: application/json',
		// 	'Authorization: Bearer ' . base64_encode(Util::get_origin_domain()),
		// ));

		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Content-Type: application/json',
			'Authorization: Bearer 1234',
			'X-API-Key: ' . Util::get_origin_domain(),
		));

		if ( Util::isLocal() ) {
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		}

		curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode(array(
			'mlsIds' => Util::get_allowed_mls_ids(),
			'mlsNums' => array($mlsNum),
			'statuses' => array(1, 2, 3, 4)
		)));

		curl_setopt($ch, CURLOPT_TIMEOUT, 10);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

		$response = curl_exec($ch);
		curl_close($ch);

		$output = array(
			'response' => json_decode($response, true),
		);

		return $output;
	}
}
