<?php
header('Content-Type: application/json');
define('SHORTINIT', 1);

$file_path = $_SERVER['DOCUMENT_ROOT'] . $_SERVER['REQUEST_URI'];
$file_path = str_replace('wp-content/plugins/brandco-idx/propertypress-ajax.php', '', $file_path);

require_once($file_path . '/wp-load.php');
require dirname( __FILE__ ) . '/vendor/autoload.php';

$rest_json = file_get_contents("php://input");
$_POST = json_decode($rest_json, true);
$action = ( !empty($_POST['action']) ) ? htmlspecialchars($_POST['action']) : '';

if ( $action ) {
	$method = str_replace('bcoidx_ajax_', '', $action);

	if ( method_exists('BrandCo\Plugins\IDX\Ajax', $method) ) {
		$response = BrandCo\Plugins\IDX\Ajax::$method($_POST);
		echo json_encode($response);
		exit;
	}
}

echo json_encode([]);
exit;
