<?php
global $bcoidx_hotsheet_id;
global $post;

$post = get_post($bcoidx_hotsheet_id);

$search_parameters = get_post_meta($post->ID, 'bcoidx_hotsheet_search_parameters', true);
$goto = BrandCo\Plugins\IDX\Util::app_url() . '?q=' . $search_parameters;

wp_redirect($goto);
die;

get_header(); ?>
<style>
	.ppidx-hotsheet-page {
		padding: 40px;
	}

	.ppidx-hotsheet-page h1 {
		margin-bottom: 20px;
		font-size: 20px;
		font-weight: 600;
	}

	.ppidx-page-container {
		max-width: 1260px;
		margin: 0 auto;
	}

	.ppidx-hotsheet-page-content {
		line-height: 1.7;
	}

	.ppidx-hotsheet-page-content p {
		margin: 20px 0;
	}
</style>

	<div class="ppidx-hotsheet-page">
		<div class="ppidx-page-container">
			<h1><?php echo $post->post_title; ?></h1>
			<div class="ppidx-hotsheet-page-content">
				<?php the_content(); ?>
			</div>
			<?php echo do_shortcode('[idx_grid q="' . $search_parameters . '"]'); ?>
		</div>
	</div>
<?php get_footer(); ?>
