<div class="<?php echo bcoidx_ns('search-page-list-inner-header'); ?>">
	<div class="<?php echo bcoidx_ns('row space-between'); ?>">
		<div class="<?php echo bcoidx_ns('col'); ?>">
			<div class="results-count"><span>{{ listings.count }}</span> results found</div>
		</div>
		<div class="<?php echo bcoidx_ns('col'); ?>">
			<div class="<?php echo bcoidx_ns('sort'); ?>">
				<span class="<?php echo bcoidx_ns('sort__title'); ?>">Sort by:</span>
				<span class="<?php echo bcoidx_ns('sort__select'); ?>">Recently Added</span>
			</div>
		</div>
	</div>
</div>

<div class="<?php echo bcoidx_ns('results-list') ?>">


	<div class="<?php echo bcoidx_ns('row') ?>">
		<div v-for="listing in listings.listings" class="<?php echo bcoidx_ns('col') ?>">
			<div class="<?php echo bcoidx_ns('listing-card') ?>">
				<router-link :to="listingUrl(listing.streetAddress + ' ' + listing.city + ' ' + listing.mlsNum)"
						:data-mls-num="listing.mlsNum"
						:data-marker-lat="listing.lat"
						:data-marker-lng="listing.lng"
						:data-price="listing.price">
					<div v-if="listing.photosAvailable > 0" :style="{ backgroundImage: `url(${listing.photos[0].url}&width=400)` }" class="<?php echo bcoidx_ns('listing-card__photos') ?>"></div>
					<div v-else class="<?php echo bcoidx_ns('listing-card__photos') ?>"></div>
					<div class="<?php echo bcoidx_ns('listing-card__addressline1') ?>">{{ listing.streetAddress }}</div>
					<div class="<?php echo bcoidx_ns('listing-card__addressline2') ?>">{{ listing.city }}, {{ listing.state }} {{ listing.postalCode }}</div>
					<div class="<?php echo bcoidx_ns('listing-card__meta') ?>">
						{{ listing.bedrooms }} bed | {{ listing.bathsTotalDecimal }} bath | {{ listing.squareFeet }} sqft
					</div>
					<div class="<?php echo bcoidx_ns('listing-card__price') ?>">${{ listing.price | formattedPrice }}</div>
				</router-link>
			</div>
		</div>
	</div>
</div>

<div class="<?php echo bcoidx_ns('search-page-list-inner-footer'); ?>">

</div>
