<?php
namespace BrandCo\Plugins\IDX;

class Mail {

	public function send($subject, $parameters) {
		$to = ( get_option('bcoidx_main_email') ) ? get_option('bcoidx_main_email') : get_option('admin_email');
		$from_name = ( get_option('bcoidx_email_from_name') ) ? get_option('bcoidx_email_from_name') : get_option('blogname');
		$message = Util::render_template('emails/contact-form-notification', $parameters);
		$email_2 = get_option('bcoidx_main_email_2');

		$headers = array(
			'From: ' . $from_name . ' <' . $to . '>',
			'Reply-To: ' . $parameters['first'] . ' ' . $parameters['last'] . ' <' . $parameters['email'] . '>',
			'Content-Type: text/html; charset=UTF-8'
		);

		if ( $email_2 ) {
			$headers[] = 'Cc: ' . $email_2;
		}

		return wp_mail($to, $subject, $message, $headers);
	}
}
