<?php
/**
 * To solve 403 Errors:
 * This file should be placed in the a "/idx" folder in the root directory
 * Then wp-config.php add define('PROPERTYPRESS_IDX_AJAX', '/idx/propertypress-ajax.local.php');
 */
header('Content-Type: application/json');
define('SHORTINIT', 1);

require dirname(dirname(__FILE__)) . '/wp-load.php';
require dirname(dirname(__FILE__)) . '/wp-content/plugins/brandco-idx/vendor/autoload.php';

$rest_json = file_get_contents('php://input');
$_POST = json_decode($rest_json, true);
$action = ( !empty($_POST['action']) ) ? htmlspecialchars($_POST['action']) : '';

if ( $action ) {
	$method = str_replace('bcoidx_ajax_', '', $action);

	if ( method_exists('BrandCo\Plugins\IDX\Ajax', $method) ) {
		$response = BrandCo\Plugins\IDX\Ajax::$method($_POST);
		echo json_encode($response);
		exit;
	}
}

echo json_encode([]);
exit;
