<?php
$listing = $args['listing'];
?>
<div class="bcoidx-listing-card">
	<router-link :to="'listing/' + this.$options.filters.listingUrl(listing)"
			:data-mls-num="listing.mlsNum"
			:data-marker-lat="listing.lat"
			:data-marker-lng="listing.lng"
			:data-price="listing.price"
			@mouseenter.native="mouseenter"
			@mouseleave.native="mouseleave">
		<div v-if="listing.photosAvailable > 0" :style="{ backgroundImage: `url(${listing.photos[0].url}&width=400)` }" class="bcoidx-listing-card__photos"></div>
		<div v-else class="bcoidx-listing-card__photos"></div>
		<div class="bcoidx-listing-card__addressline1">{{ listing.streetAddress }}</div>
		<div class="bcoidx-listing-card__addressline2">{{ listing.city }}, {{ listing.state }} {{ listing.postalCode }}</div>
		<div class="bcoidx-listing-card__meta">
			{{ listing.bedrooms }} bed | {{ listing.bathsTotalDecimal }} bath | {{ listing.squareFeet }} sqft
		</div>
		<div class="bcoidx-listing-card__price">${{ listing.price | formattedPrice }}</div>
	</router-link>
</div>
