<div class="<?php echo bcoidx_ns('search-bar') ?>">
	<div class="<?php echo bcoidx_ns('search-bar-wrapper') ?>">
		<form id="<?php echo bcoidx_ns('search') ?>" class="<?php echo bcoidx_ns('search') ?>">
			<div class="<?php echo bcoidx_ns('row') ?>">

				<div class="<?php echo bcoidx_ns('col field__large') ?>">
					<div class="<?php echo bcoidx_ns('field') ?>">
						<div class="<?php echo bcoidx_ns('field-value') ?>">
							Atlanta, GA
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field field-price') ?>">
						<div class="<?php echo bcoidx_ns('field-value') ?>">
							{{ priceLabel }}
						</div>
						<div class="<?php echo bcoidx_ns('field-dropdown') ?>">
							<div class="<?php echo bcoidx_ns('field-select') ?>">
								<select name="priceMin" id="min_price" class="js-select-field" data-value-type="number">
									<option value="" data-readable="No Min">No Min</option>
									<option v-for="price in forSalePrices" :value="price" :data-readable="price | readablePrice">{{ price | readablePrice }}</option>
								</select>
							</div>
							<div class="<?php echo bcoidx_ns('field-select') ?>">
								<select name="priceMax" id="max_price" class="js-select-field" data-value-type="number">
									<option value="" data-readable="No Max">No Max</option>
									<option v-for="price in forSalePrices" :value="price" :data-readable="price | readablePrice">{{ price | readablePrice }}</option>
								</select>
							</div>
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field field-hometype') ?>">
						<div class="<?php echo bcoidx_ns('field-value') ?>">
							{{ homeTypeLabel }}
						</div>
						<div class="<?php echo bcoidx_ns('field-dropdown') ?>">
							<div class="<?php echo bcoidx_ns('field-checkbox') ?>" v-for="type in homeTypes">
								<label>
									<input type="checkbox" name="propertyTypes[]" :value="type.label"> {{ type.label }}
								</label>
							</div>
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field field-bedbath') ?>">
						<div class="<?php echo bcoidx_ns('field-value') ?>">
							{{ bedBathLabel }}
						</div>
						<div class="<?php echo bcoidx_ns('field-dropdown') ?>">
							<div class="<?php echo bcoidx_ns('field-select') ?>">
								<select name="bedsMin" id="min_bed" class="js-select-field" data-value-type="number">
									<option v-for="field in minBed" :value="field.value">{{ field.label }}</option>
								</select>
							</div>
							<div class="<?php echo bcoidx_ns('field-select') ?>">
								<select name="bathsMin" id="min_bath" class="js-select-field" data-value-type="number">
									<option v-for="field in minBath" :value="field.value">{{ field.label }}</option>
								</select>
							</div>
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field') ?>">
						<div class="<?php echo bcoidx_ns('field-value') ?>">
							More...
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field') ?>">
						<div class="<?php echo bcoidx_ns('field-value submit') ?>">
							Search
						</div>
					</div>
				</div>

				<div class="<?php echo bcoidx_ns('col') ?>">
					<div class="<?php echo bcoidx_ns('field') ?>">
						<a href="<?php echo get_option('siteurl'); ?>/idx-search/dashboard" class="<?php echo bcoidx_ns('field-value') ?>">
							<?php echo ( is_user_logged_in() ) ? 'Dashboard' : 'Login'; ?>
						</a>
					</div>
				</div>

			</div>

			<input type="hidden" name="polygon">
			<input type="hidden" name="queryOptions[sort][0][field]" value="listDate">
			<input type="hidden" name="queryOptions[sort][0][order]" value="desc">
			<input type="hidden" name="queryOptions[limit]" value="100" data-value-type="number">
			<input type="hidden" name="mlsIds[]" value="99" data-value-type="number">
			<input type="hidden" name="queryOptions[select][]" value="streetAddress">
			<input type="hidden" name="queryOptions[select][]" value="city">
			<input type="hidden" name="queryOptions[select][]" value="state">
			<input type="hidden" name="queryOptions[select][]" value="postalCode">
			<input type="hidden" name="queryOptions[select][]" value="squareFeet">
			<input type="hidden" name="queryOptions[select][]" value="bedrooms">
			<input type="hidden" name="queryOptions[select][]" value="bathsTotalDecimal">
			<input type="hidden" name="queryOptions[select][]" value="price">
			<input type="hidden" name="queryOptions[select][]" value="mlsNum">
			<input type="hidden" name="queryOptions[select][]" value="lat">
			<input type="hidden" name="queryOptions[select][]" value="lng">
			<input type="hidden" name="queryOptions[select][]" value="photosAvailable">
			<input type="hidden" name="queryOptions[select][]" value="photos">

		</form>
	</div>
</div>
